# Uses of Interface
com.fasterxml.jackson.core.util.JsonGeneratorDecorator

Packages that use JsonGeneratorDecorator
Package
Description
com.fasterxml.jackson.core
Main public API classes of the core streaming JSON processor: most importantly `JsonFactory` used for constructing JSON parser (`JsonParser`) and generator (`JsonGenerator`) instances.

## Uses of JsonGeneratorDecorator in com.fasterxml.jackson.core

Fields in com.fasterxml.jackson.core with type parameters of type JsonGeneratorDecorator
Modifier and Type
Field
Description
`protected final List<JsonGeneratorDecorator>`
JsonFactory.`_generatorDecorators`
List of `JsonGeneratorDecorator`s to apply to `JsonGenerator`s after construction; applied in the order of addition.
`protected List<JsonGeneratorDecorator>`
TSFBuilder.`_generatorDecorators`
Methods in com.fasterxml.jackson.core with parameters of type JsonGeneratorDecorator
Modifier and Type
Method
Description
`B`
TSFBuilder.`addDecorator(JsonGeneratorDecorator decorator)`